# Delete Table Constraint

Launch stage: GA

`DELETE /api/2.1/unity-catalog/constraints/{full_name_arg}`

Deletes a table constraint.

 For the table constraint deletion to succeed, the user must satisfy both of these conditions:
 - the user must have the **USE_CATALOG** privilege on the table's parent catalog,
   the **USE_SCHEMA** privilege on the table's parent schema, and be the owner of the table.
 - if __cascade__ argument is **true**, the user must have the following permissions on all of the child tables:
   the **USE_CATALOG** privilege on the table's catalog,
   the **USE_SCHEMA** privilege on the table's schema,
   and be the owner of the table.

API scopes: unity-catalog

## Path parameters

- `full_name_arg` (string, optional)
  Full name of the table referenced by the constraint.

## Query parameters

- `constraint_name` (string, optional)
  The name of the constraint to delete.
- `cascade` (boolean, optional)
  If true, try deleting all child constraints of the current constraint.
   If false, reject this operation if the current constraint has any child constraints.
  Default: `false`

## Response

```json
{}
```

